OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
cl::NDRange Class Reference

Class interface for specifying NDRange values. More...

`#include <cl2.hpp>`

## Public Member Functions
| NDRange ()
| Default constructor - resulting range has zero dimensions. More...
| NDRange (size_type size0)
| Constructs one-dimensional range. More...
| NDRange (size_type size0, size_type size1)
| Constructs two-dimensional range. More...
| NDRange (size_type size0, size_type size1, size_type size2)
| Constructs three-dimensional range. More...
| operator const size_type * () const
| Conversion operator to const size_type *. More...
size_type | dimensions () const
| Queries the number of dimensions in the range. More...
size_type | size () const
| Returns the size of the object in bytes based on the. More...
size_type * | get ()
const size_type * | get () const

## Detailed Description

Class interface for specifying NDRange values.

## Constructor & Destructor Documentation

cl::NDRange::NDRange | ( |  | ) |
| inline

Default constructor - resulting range has zero dimensions.

cl::NDRange::NDRange | ( | size_type | size0 | ) |
| inline

Constructs one-dimensional range.

cl::NDRange::NDRange | ( | size_type | size0,
|  | size_type | size1
| ) |  |
| inline

Constructs two-dimensional range.

cl::NDRange::NDRange | ( | size_type | size0,
|  | size_type | size1,
|  | size_type | size2
| ) |  |
| inline

Constructs three-dimensional range.

## Member Function Documentation

size_type cl::NDRange::dimensions | ( |  | ) | const
| inline

Queries the number of dimensions in the range.

size_type* cl::NDRange::get | ( |  | ) |
| inline

const size_type* cl::NDRange::get | ( |  | ) | const
| inline

cl::NDRange::operator const size_type * | ( |  | ) | const
| inline

Conversion operator to const size_type *.

Returns
  a pointer to the size of the first dimension.

size_type cl::NDRange::size | ( |  | ) | const
| inline

Returns the size of the object in bytes based on the.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp